javax.security.auth.message

## Class MessagePolicy.TargetPolicy

- java.lang.Object
- - javax.security.auth.message.MessagePolicy.TargetPolicy

- Enclosing class:
    MessagePolicy

      public static class MessagePolicy.TargetPolicy
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargetPolicy(MessagePolicy.Target[] targets, MessagePolicy.ProtectionPolicy protectionPolicy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessagePolicy.ProtectionPolicy` | `getProtectionPolicy()`
    `MessagePolicy.Target[]` | `getTargets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetPolicy

          public TargetPolicy(MessagePolicy.Target[] targets,
                              MessagePolicy.ProtectionPolicy protectionPolicy)

  - ### Method Detail

    - #### getTargets

          public MessagePolicy.Target[] getTargets()

    - #### getProtectionPolicy

          public MessagePolicy.ProtectionPolicy getProtectionPolicy()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.